Thursday, January 8, 2015

LiClipse 1.3.0 (Open at specific line / YAML syntax checking)

A new LiClipse is now available!

This version adds support for opening a file at a specific line (and optionally column).

I've also fixed this in Eclipse itself and submitted a pull request: / (although so far it seems no committer had a chance to look at it), so, hopefully the next version of Eclipse will have it too.

Also, the integrated YAML version was updated so that errors in the YAML file will be shown as error markers.

To finish, this LiClipse release updated a lot of the components it builds upon, so, it's now distributed with the latest Java 8 version (no more permgen exceptions!), Eclipse 4.4.1, latest PyDev, EGit, AnyEdit...

As a note for those using LiClipse for python development, PyDev can now save the settings per-project or per-user (and not just per workspace) -- still not all, but enough to be usable :)

It takes a different approach from the regular Eclipse installations because instead of adding new preferences pages to the project it changed the existing preferences pages and adds the option to save the preferences you're viewing to the project/user settings or workspace (as the image below shows).

It allows saving the preferences to multiple projects at once and showing the preferences from a selected project (or you can just open the preferences location and edit it manually -- in YAML format).